* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
    list-style-type: none;
    text-decoration: none;
}

body {
    padding: 20px;
}

body::after {
    content: '';
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(5px);
    opacity: 0;
    visibility: hidden;
    z-index: 5;
    transition: opacity .5s ease, visibility 0.5s;
}

body:has(.popup.active)::after {
    opacity: 1;
    visibility: visible;
}


.main nav {
    width: min-content;
    margin-bottom: 25px;
    display: flex;
    align-items: center;
    border: 1px solid #2E89EC;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    overflow: hidden;
}

.main nav button {
    color: #263044;
    font-size: 14px;
    padding: 10px 15px;
    white-space: nowrap;
    background: transparent;
    cursor: pointer;
    border: none;
    font-weight: 600;
}

.main nav button.active {
    background-color: #2E89EC;
    color: #fff;
}

.tab {
    display: none;
}

.tab.active {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}









#app {
    
}

.back {
    background-color: transparent;
    border: none;
    outline: none;
    cursor: pointer;
    margin-bottom: 15px;
    font-size: 15px;
    font-weight: 700;
    color: #2E89EC;
}

.project-list {
    width: 100%;
    max-width: 980px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 20px;
    row-gap: 20px;
}

.project-list li {
    display: flex;
}

.project-list li .project-link {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border: 1px solid #D4D6DA;
    border-radius: 4px;
    padding: 35px 25px;
    text-decoration: none;
    transition: border-color .3s ease;
}

.project-list li .project-link:hover {
    border-color: #2E89EC;
}

.project-list li .project-link span {
    color: #1E2636;
    font-weight: 700;
    font-size: 24px;
}





.houses-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 100%;
    max-width: 980px;
    column-gap: 20px;
    row-gap: 20px;
    list-style-type: none;
}

.houses-list .house {
    width: 100%;
}

.house__link {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border: 1px solid #D4D6DA;
    border-radius: 4px;
    padding: 25px 20px;
    text-decoration: none;
    transition: border-color .3s ease;
}

.house__link:hover {
    border-color: #2E89EC;
}

.house__apart {
    margin-top: 15px;
    font-size: 15px;
    font-weight: 700;
    color: #2E89EC;
}

.house__floor {
    margin-top: auto;
    font-size: 15px;
    padding: 4px 12px;
    border-radius: 16px;
    color: #1E2636;
    background-color: #F6F8F9;
    white-space: nowrap;
    cursor: default;
}

.house__title {
    margin: 15px 0 20px;
    color: #1E2636;
    font-weight: 700;
    font-size: 24px;

}

.house__title::first-letter {
    text-transform: uppercase;
}

.house__rc {
    color: #515969;
    font-size: 18px;
}









.board {
    position: relative;
    /* margin-top: -40px; */
    max-width: 100%;
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    padding-top: 110px;
    padding-bottom: 80px;
    order: 4;
    overflow-y: hidden;
    overflow-x: scroll;
    height: 100%;
    z-index: 3;
}

.board .floor {
    display: flex;
    align-items: center;
    column-gap: 30px;
}

.board .floor__numb {
    font-family: Arial, sans-serif;
    font-size: 13px;
    color: #BABFCB;
    min-width: 20px !important;
    height: 20px !important;
    display: flex;
    justify-content: center;
    align-items: center;
}

.board .section {
    display: flex;
    align-items: stretch;
    column-gap: 10px;
}

.board .section-wrap {
    position: relative;
}

.board .item {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 45px;
    height: 36px;
    color: #ffffff;
    border-radius: 2px;
    outline: 2px solid transparent;
    outline-offset: 2px;
    font-size: 12px;
    transition: opacity .3s ease;
    pointer-events: none;
    text-align: center;
    /* transition: z-index 0.5s ease; */
    border: 2px solid transparent;
}

.board .item.add {
    border-color: #2E89EC !important;
}

.board .item[data-status="AVAILABLE"] {
    background-color: #63cba5;
    cursor: pointer;
    pointer-events: all;
    border-color: #63cba5;
}

.board .item[data-status="SOLD"] {
    background-color: rgb(166, 166, 166);
    cursor: default;
    opacity: 0.5 !important;
    border-color: rgb(166, 166, 166);

}

.board .item[data-status="BOOKED"] {
    background-color: rgb(255, 180, 0);
    cursor: default;
    opacity: 0.5 !important;
    border-color: rgb(255, 180, 0);

}

.board .item[data-status="UNAVAILABLE"] {
    background-color: rgb(241, 241, 241);
    cursor: default;
    opacity: 0.5 !important;
    border-color: rgb(241, 241, 241);
}

.board .item.none {
    background-color: transparent !important;
    cursor: default !important;
    pointer-events: none !important;
}

.board .item.not-filter {
    opacity: 0.5 !important;
    cursor: default !important;
    pointer-events: none !important;
}

.board .item .info {
    position: absolute;
    /* top: 0; */
    bottom: calc(100% + 10px);
    left: -3px;
    padding: 10px 5px;
    border-radius: 2px;
    width: 200px;
    max-width: 200px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    outline: 2px solid transparent;
    outline-offset: 2px;
    background-color: #ffffff;
    opacity: 0;
    visibility: hidden;
    box-shadow: 0px 0px 8px 5px rgba(34, 60, 80, 0.2);
    pointer-events: none !important;

    /* transition: opacity 0.5s ease, visibility 0.5s ease; */
}

.board .item .info::after {
    content: '';
    position: absolute;
    height: 15px;
    width: 15px;
    left: 15px;
    bottom: -5px;
    transform: rotate(45deg);
    background-color: #fff;
}

.board .item .info * {
    font-size: 13px;
    color: #000000;
}

.board .item:hover {
    z-index: 5;
}

.board .item:hover .info {
    opacity: 1;
    visibility: visible;
}

.board .item.add .info {
    display: none !important;
}

.board .item button.delete {
    position: absolute;
    top: -7px;
    right: -7px;
    width: 15px;
    height: 15px;
    border-radius: 100%;
    background-color: red;
    color: #ffffff;
    border: none;
    outline: none;
    font-size: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
}

.board .item.add:hover button.delete {
    opacity: 1;
    visibility: visible;
}

.board .section-name {
    font-family: Arial, sans-serif;
    position: absolute;
    top: -25px;
    left: 5px;
    width: 100%;
    font-size: 13px;
    color: #BABFCB;
    -webkit-user-select: none;
    user-select: none;
    pointer-events: none;
}

.board .section-name-bottom {
    top: auto;
    bottom: -25px;
}

.aparts__statuses {
    padding: 0 0 20px;
    display: flex;
    column-gap: 20px;
}

.aparts__statuses .status {
    display: flex;
    column-gap: 10px;
    align-items: center;
    font-family: Arial, sans-serif;
    font-size: 13px;
    color: #515969;
}

.aparts__statuses .status .color {
    width: 15px;
    height: 15px;
}

.filter-form {
    max-width: 1100px;
    /* margin-bottom: 40px; */
    order: 3;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    row-gap: 20px;
    column-gap: 20px;
    align-items: flex-end;
}

@media (max-width: 800px){
    .filter-form {
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 600px){
    .filter-form {
        grid-template-columns: 1fr;
    }
}

.filter-form .item {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    row-gap: 5px;
}

.filter-form .item-title {
    font-family: Arial, sans-serif;
    font-size: 13px;
    color: #BABFCB;
    min-width: 20px !important;
    height: 20px !important;
    display: flex;
    justify-content: center;
    align-items: center;
}

.checkbox-wrap {
    display: flex;
    align-items: center;
    column-gap: 10px;
}

.checkbox-wrap label {
    position: relative;
}

.checkbox-wrap label input {
    position: absolute;
    top: 0;
    left: 0;
    width: 1px;
    height: 1px;
    opacity: 0;
}

.checkbox-wrap label span {
    font-size: 15px;
    color: #1E2636;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    border-radius: 4px;
    border: 1px solid #2E89EC;
}

.checkbox-wrap label:has(input:checked) span {
    background: #2E89EC;
    color: #ffffff;
}

.price-input-wrap {
    display: flex;
    align-items: center;
    column-gap: 10px;
    width: 100%;
}

.price-input-wrap label {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.price-input-wrap label span {
    font-family: Arial, sans-serif;
    font-size: 13px;
    color: #BABFCB;
    min-width: 20px !important;
    height: 20px !important;
    display: flex;
    justify-content: center;
    align-items: center;
    display: none;
}

.price-input-wrap label input {
    width: 100%;
    border-radius: 4px;
    border: 1px solid #2E89EC;
    font-size: 15px;
    color: #1E2636;
    padding: 5px;
}

.filter-form .item select {
    border-radius: 4px;
    border: 1px solid #2E89EC;
    font-size: 15px;
    color: #1E2636;
    padding: 5px;
    width: 100%;
}

.filter-form button {
    padding: 10px 15px;
    background-color: #2E89EC;
    border-radius: 5px;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 16px;
    color: #ffffff;
    font-weight: 400;
}

.filter-form button[type="reset"] {
    background-color: #ffc107;
}













.popup {
    position: fixed;
    inset: 0;
    transform: translateX(100%);
    z-index: 20;
    transition: transform .5s ease;
}

.popup.active {
    transform: translateX(0);
}

.popup__content {
    position: relative;
    margin-left: auto;
    padding: 25px 20px;
    width: 100%;
    max-width: 600px;
    height: 100%;
    background-color: #fff;
    max-height: 100%;
    overflow: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.popup__content::-webkit-scrollbar {
  display: none;
}

.popup__wrap {
    height: max-content;
}

.popup__close {
    position: absolute;
    top: 15px;
    right: 20px;
    width: 40px;
    height: 40px;
    background: transparent;
    cursor: pointer;
    border: none;
    outline: none;
}

.popup__close svg {
    width: 100%;
    height: auto;
}

.popup__content img {
    width: 100%;
    max-width: 100%;
    max-height: 350px;
    object-fit: contain;
}

.popup__content .title {
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 20px;
    color: #263044;
}

.popup__content .top {
    width: 100%;
    display: flex;
    align-items: center;
    column-gap: 20px;
    margin-bottom: 25px;
}

.popup__content .top .area {
    font-size: 18px;
    font-weight: 400;
    color: #263044;

}

.popup__content .top .floor {
    font-size: 18px;
    font-weight: 400;
    color: #263044;
}

.popup__content .top .status {
    margin-left: auto;
    padding: 5px 10px;
    color: #fff;
    border-radius: 40px;
}

.popup__content .wrap {
    margin-top: 45px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.popup__content .left {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    row-gap: 10px;
}

.popup__content .wrap .price {
    font-weight: 700;
    font-size: 20px;
    line-height: 115%;
    color: #263044;
    white-space: nowrap;
}

.popup__content .wrap .price-meter {
    font-size: 15px;
    line-height: 115%;
    font-weight: 400;
    color: #868A95;
    white-space: nowrap;
}

.popup__content .wrap .add {
    padding: 15px 25px;
    background-color: #2E89EC;
    border-radius: 5px;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 16px;
    color: #ffffff;
    font-weight: 600;
}


.loader {
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(5px);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 50;
    opacity: 0;
    visibility: hidden;
}

.loader.active {
    opacity: 1;
    visibility: visible;
}

.loader-elem {
  width: 80px;
  height: 80px;
  border: 6px dotted #FFF;
  border-style: solid solid dotted dotted;
  border-radius: 50%;
  display: inline-block;
  position: relative;
  box-sizing: border-box;
  animation: rotation 2s linear infinite;
}
.loader-elem::after {
  content: '';  
  box-sizing: border-box;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  border: 6px dotted #2E89EC;
  border-style: solid solid dotted;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  animation: rotationBack 1s linear infinite;
  transform-origin: center center;
}
    
@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
} 
@keyframes rotationBack {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(-360deg);
  }
} 

#selected .wrap {
    margin-top: 40px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    row-gap: 10px;
    width: 100%;
}


.selected-prop {
    padding: 5px 10px;
    width: 100%;
    display: grid;
    grid-template-columns: 90px 1fr 1fr 1fr 1fr 2fr 25px;
    align-items: center;
    column-gap: 10px;
    border: 1px solid #2E89EC;
    border-radius: 10px;
    overflow: hidden;
}

.selected-prop img {
    max-width: 100%;
    width: 100%;
    height: 100%;
    max-height: 90px;
    object-fit: contain;
}

.selected-prop span {
    text-align: center;
    color: #263044;
    font-size: 14px;
}

.selected-prop .prices {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 5px;
}

.selected-prop .price {
    font-weight: 700;
    font-size: 20px;
    line-height: 115%;
    color: #263044;
    white-space: nowrap;
}

.selected-prop .price-meter {
    font-size: 14px;
    line-height: 115%;
    font-weight: 400;
    color: #868A95;
    white-space: nowrap;
}

.selected-prop button {
    aspect-ratio: 1 / 1;
    width: 100%;
    max-width: 100%;
    background: transparent;
    cursor: pointer;
    border: none;
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='800px' height='800px' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath fill-rule='evenodd' clip-rule='evenodd' d='M5.29289 5.29289C5.68342 4.90237 6.31658 4.90237 6.70711 5.29289L12 10.5858L17.2929 5.29289C17.6834 4.90237 18.3166 4.90237 18.7071 5.29289C19.0976 5.68342 19.0976 6.31658 18.7071 6.70711L13.4142 12L18.7071 17.2929C19.0976 17.6834 19.0976 18.3166 18.7071 18.7071C18.3166 19.0976 17.6834 19.0976 17.2929 18.7071L12 13.4142L6.70711 18.7071C6.31658 19.0976 5.68342 19.0976 5.29289 18.7071C4.90237 18.3166 4.90237 17.6834 5.29289 17.2929L10.5858 12L5.29289 6.70711C4.90237 6.31658 4.90237 5.68342 5.29289 5.29289Z' fill='%230F1729'/%3e%3c/svg%3e");
    background-size: 25px;
    background-position: center;
    background-repeat: no-repeat;
}

.selected-prop button svg {
    width: 100%;
    max-width: 100%;
    height: auto;
}

#selected:not(:has(.selected-prop)) button.create-kp {
    display: none !important;
}

button.create-kp {
    margin-top: 25px;
    padding: 15px 25px;
    background-color: #2E89EC;
    border-radius: 5px;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 16px;
    color: #ffffff;
    font-weight: 600;
}

.kp-wrap {
    width: 100%;
    margin-top: 40px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    row-gap: 20px;
}

.kp-wrap .offer {
    padding: 15px 10px 5px;
    width: 100%;
    display: flex;
    flex-direction: column;
    border: 1px solid #2E89EC;
    border-radius: 10px;
    overflow: hidden;
}

.kp-wrap .offer .manager {
    font-size: 18px;
    color: #1E2636;
    font-weight: 600;
}

.kp-wrap .offer .date {
    margin: 10px 0 15px;
    font-size: 14px;
    color: #868A95;
}

.kp-wrap .offer .links {
    margin: 0 0 20px;
    display: flex;
    align-items: center;
    column-gap: 20px;
}


.kp-wrap .offer .links a,
.kp-wrap .offer .links button {
    color: #2E89EC;
    font-size: 16px;
    cursor: pointer;
    background-color: transparent;
    border: none;
    outline: none;
}

.kp-wrap .offer .prop-wrap {
    display: flex;
    flex-direction: column;
    /* width: 100%; */
    row-gap: 10px;
}

.kp-wrap .offer .property {
    width: fit-content;
    padding: 10px 0;
    display: flex;
    flex-direction: column;
    row-gap: 5px;
    border-bottom: 1px solid #263044;
}

.kp-wrap .offer .property:last-child {
    border-bottom: 0;
}

.kp-wrap .offer .property .title {
    font-size: 18px;
    color: #1E2636;
    font-weight: 600;
}

.kp-wrap .offer .property .area {
    margin: 5px 0;
    font-size: 14px;
    color: #2E89EC;
}

.kp-wrap .offer .property .price-wrap {
    display: flex;
    align-items: center;
    column-gap: 20px;
}

.kp-wrap .offer .property .price {
    font-weight: 700;
    font-size: 14px;
    line-height: 115%;
    color: #263044;
    white-space: nowrap;
}

.kp-wrap .offer .property .price-meter {
    font-size: 14px;
    line-height: 115%;
    font-weight: 400;
    color: #868A95;
    white-space: nowrap;
}